<template>
    <div>
        <h1>Classe</h1>
        <DispatcheurUtilisateur
            v-if="this.charge"
            :idGroupe="id"
            :adresseChargement="'classe/affectation/'"
            :adresseEnregistrement="'classe/'"
            :autoriserModificationNom="true"
            :idContenant="$auth.user.id"
        />

        <button
            v-if="id != 0"
            class="uk-button uk-button-default"
            @click="supprimer"
        >
            Supprimer
        </button>
        <router-link
            tag="button"
            class="uk-button uk-button-default"
            :to="{ name: 'ListeClasse' }"
        >
            Retour
        </router-link>
    </div>
</template>

<script lang="ts">
import Vue from 'vue';
import Component from 'vue-class-component';
import DispatcheurUtilisateur from '../../../components/DispatcheurUtilisateur.vue';
import Axios from '@/auth/axiosAuth';
@Component({
    components: { DispatcheurUtilisateur }
})
export default class Classe extends Vue {
    private id = 0;
    private charge = false;

    public supprimer() {
        Axios.post('classe/suppression/' + this.id, () =>
            this.$router.push('/classes')
        );
    }

    beforeRouteEnter(to, from, next) {
        next(vm => {
            if (to.params.id) {
                vm.id = to.params.id;
            }
            vm.charge = true;
        });
    }
}
</script>

<style scoped>
.uk-form-label {
    width: 100px;
    font-size: unset;
}
.uk-form-controls {
    margin-left: 100px;
}
</style>
